%undefine __brp_mangle_shebangs

Name:           opt-local
Version:        1.0.2
Release:        1%{?dist}
Summary:        A software distribution under /opt/local equivalent to /usr/local
BuildArch:      noarch

Group:          Utilities
License:        MIT
URL:            https://gitlab.com/ccmiersma/opt-local
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  rpm-build, make
Requires:       vim-minimal

%description
This package maintains the directories for other packages and includes a profile script that sets the PATH as well as my favorite environmental variables.

%prep
%setup -q

%build
# The build phase is not applicable as we're only installing a script,
# but you may include any necessary compilation steps for your project here.
make

%install

%make_install

%clean

%__rm -rf ${RPM_BUILDROOT}

%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/profile.d/opt-local.sh
%dir /opt/local/bin/
%dir /opt/local/lib/
%dir /opt/local/share/
%dir /etc/opt/local/
%dir /var/opt/local/

%changelog
* Fri Mar 01 2024 ccmiersma <ccmiersma@gmail.com>
- Fixed syntax in changelog (ccmiersma@gmail.com)
- Added job for building tagged SRPM (ccmiersma@gmail.com)

* Fri Mar 01 2024 ccmiersma <ccmiersma@gmail.com>
- new package built with tito

